Search Results for

    Show / Hide Table of Contents

    Class BeadBuilder

    Inheritance
    System.Object
    System.MarshalByRefObject
    NXRemotableObject
    TaggedObject
    Builder
    FeatureBuilder
    BeadBuilder
    Implements
    System.Runtime.Remoting.Messaging.IMessageSink
    IComponentBuilder
    Inherited Members
    FeatureBuilder.CommitFeature()
    FeatureBuilder.GetFeature()
    FeatureBuilder.SetParentFeatureInternal(Feature)
    FeatureBuilder.UnsetParentFeatureInternal(Feature)
    FeatureBuilder.ShowInternalParentFeatureForEdit(Feature)
    FeatureBuilder.HideInternalParentFeatureAfterEdit(Feature)
    FeatureBuilder.GetPreviewBody()
    FeatureBuilder.ParentFeatureInternal
    FeatureBuilder.PatchSolutionFlag
    FeatureBuilder.PatchSurfaceFilename
    FeatureBuilder.SurroundingPatchSurfaceFilename
    Builder.Commit()
    Builder.Destroy()
    Builder.GetCommittedObjects()
    Builder.GetObject()
    Builder.ShowResults()
    Builder.Validate()
    Builder.PreviewBuilder
    TaggedObject.initialize()
    TaggedObject.ToString()
    TaggedObject.PrintTestData(String)
    TaggedObject.PrintTestData(String, Int32)
    TaggedObject.Tag
    NXRemotableObject.SyncProcessMessage(IMessage)
    NXRemotableObject.AsyncProcessMessage(IMessage, IMessageSink)
    NXRemotableObject.NextSink
    System.MarshalByRefObject.CreateObjRef(System.Type)
    System.MarshalByRefObject.GetLifetimeService()
    System.MarshalByRefObject.InitializeLifetimeService()
    System.MarshalByRefObject.MemberwiseClone(System.Boolean)
    System.Object.Equals(System.Object)
    System.Object.Equals(System.Object, System.Object)
    System.Object.GetHashCode()
    System.Object.GetType()
    System.Object.MemberwiseClone()
    System.Object.ReferenceEquals(System.Object, System.Object)
    Namespace: NXOpen.Features.SheetMetal
    Assembly: NXOpen.dll
    Syntax
    public class BeadBuilder : FeatureBuilder, IMessageSink, IComponentBuilder

    Constructors

    BeadBuilder()

    Declaration
    protected BeadBuilder()

    Properties

    Angle

    Declaration
    public Expression Angle { get; }
    Property Value
    Type Description
    Expression

    CrossSectionType

    Declaration
    public BeadBuilder.CrossSectionTypeOptions CrossSectionType { get; set; }
    Property Value
    Type Description
    BeadBuilder.CrossSectionTypeOptions

    DieRadius

    Declaration
    public Expression DieRadius { get; }
    Property Value
    Type Description
    Expression

    EndType

    Declaration
    public BeadBuilder.EndTypeOptions EndType { get; set; }
    Property Value
    Type Description
    BeadBuilder.EndTypeOptions

    Height

    Declaration
    public Expression Height { get; }
    Property Value
    Type Description
    Expression

    HeightSide

    Declaration
    public BeadBuilder.HeightSideOptions HeightSide { get; set; }
    Property Value
    Type Description
    BeadBuilder.HeightSideOptions

    IncludeRounding

    Declaration
    public bool IncludeRounding { get; set; }
    Property Value
    Type Description
    System.Boolean

    MinimumToolClearance

    Declaration
    public Expression MinimumToolClearance { get; }
    Property Value
    Type Description
    Expression

    PunchedWidth

    Declaration
    public Expression PunchedWidth { get; }
    Property Value
    Type Description
    Expression

    PunchRadius

    Declaration
    public Expression PunchRadius { get; }
    Property Value
    Type Description
    Expression

    Radius

    Declaration
    public Expression Radius { get; }
    Property Value
    Type Description
    Expression

    Section

    Declaration
    public Section Section { get; set; }
    Property Value
    Type Description
    Section

    Sketch

    Declaration
    public SketchFeature Sketch { get; set; }
    Property Value
    Type Description
    SketchFeature

    TaperDistance

    Declaration
    public Expression TaperDistance { get; }
    Property Value
    Type Description
    Expression

    Width

    Declaration
    public Expression Width { get; }
    Property Value
    Type Description
    Expression

    Methods

    SetAngle(String)

    Declaration
    [Obsolete("Deprecated in NX10.0.0.  Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.Angle instead.")]
    public void SetAngle(string beadAngle)
    Parameters
    Type Name Description
    System.String beadAngle

    SetDieRadius(String)

    Declaration
    [Obsolete("Deprecated in NX10.0.0.  Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.DieRadius instead.")]
    public void SetDieRadius(string beadDieRadius)
    Parameters
    Type Name Description
    System.String beadDieRadius

    SetHeight(String)

    Declaration
    [Obsolete("Deprecated in NX10.0.0.  Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.Height instead.")]
    public void SetHeight(string beadHeight)
    Parameters
    Type Name Description
    System.String beadHeight

    SetPunchedWidth(String)

    Declaration
    [Obsolete("Deprecated in NX10.0.0.  Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.PunchedWidth instead.")]
    public void SetPunchedWidth(string punchedWidth)
    Parameters
    Type Name Description
    System.String punchedWidth

    SetPunchRadius(String)

    Declaration
    [Obsolete("Deprecated in NX10.0.0.  Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.PunchRadius instead.")]
    public void SetPunchRadius(string punchRadius)
    Parameters
    Type Name Description
    System.String punchRadius

    SetRadius(String)

    Declaration
    [Obsolete("Deprecated in NX10.0.0.  Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.Radius instead.")]
    public void SetRadius(string beadRadius)
    Parameters
    Type Name Description
    System.String beadRadius

    SetWidth(String)

    Declaration
    [Obsolete("Deprecated in NX10.0.0.  Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.Width instead.")]
    public void SetWidth(string beadWidth)
    Parameters
    Type Name Description
    System.String beadWidth

    ValidateBuilderData()

    Declaration
    public int ValidateBuilderData()
    Returns
    Type Description
    System.Int32

    Implements

    System.Runtime.Remoting.Messaging.IMessageSink
    IComponentBuilder
    In This Article
    Back to top Generated by DocFX